> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Create registration certificate

> Create a registration certificate for the specified vehicle



## OpenAPI

````yaml /api-reference/m2m-api.yml post /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/registration-certificates
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/registration-certificates:
    post:
      tags:
        - Registration certificates
      summary: Create registration certificate
      description: Create a registration certificate for the specified vehicle
      operationId: createRegistrationCertificate
      parameters:
        - name: assetProviderCountryCode
          in: path
          description: Asset provider country code
          required: true
          schema:
            type: string
            minLength: 2
            maxLength: 2
        - name: assetProviderCode
          in: path
          description: Asset provider code
          required: true
          schema:
            type: string
            minLength: 3
            maxLength: 3
        - name: vehicleId
          in: path
          description: Id of vehicle
          required: true
          schema:
            type: string
      requestBody:
        required: true
        description: Information about the to be created registration certificate
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegistrationCertificateRequest'
      responses:
        '201':
          description: The created registration certificate
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegistrationCertificateResponse'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Vehicle could not be found
      security:
        - oauth:
            - openid
components:
  schemas:
    RegistrationCertificateRequest:
      type: object
      required:
        - registrationDate
      properties:
        licensePlate:
          type: string
          maxLength: 255
        current:
          type: boolean
          description: Indicates the classification as the most current one
        registrationDate:
          type: string
          format: date
        vehicleType:
          type: string
          description: not defined yet
          maxLength: 255
        bodyType:
          $ref: '#/components/schemas/BodyType'
        variant:
          type: string
          description: not defined yet
          maxLength: 255
        engineType:
          type: string
          description: not defined yet
          maxLength: 255
        description:
          type: string
          description: Additional description
          maxLength: 255
        address:
          $ref: '#/components/schemas/CompanyAddressResponse'
    RegistrationCertificateResponse:
      allOf:
        - $ref: '#/components/schemas/RegistrationCertificateRequest'
        - type: object
          properties:
            uuid:
              type: string
              format: uuid
              description: registration certificate id
            blobFrontSide:
              $ref: '#/components/schemas/Blob'
            blobBackSide:
              $ref: '#/components/schemas/Blob'
            ocrStatusFrontSide:
              $ref: '#/components/schemas/OcrStatus'
            ocrStatusBackSide:
              $ref: '#/components/schemas/OcrStatus'
    BodyType:
      type: string
      enum:
        - Compact
        - Convertible
        - Coupe
        - OffRoadOrPickUp
        - StationWagon
        - Sedans
        - Van
        - Transporter
        - Other
    CompanyAddressResponse:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 255
        street:
          type: string
          minLength: 1
          maxLength: 255
        countryCode:
          type: string
          minLength: 2
          maxLength: 2
        zipCode:
          type: string
          minLength: 1
          maxLength: 255
        city:
          type: string
          minLength: 1
          maxLength: 255
    Blob:
      type: object
      required:
        - uuid
        - filename
        - uploaded
      properties:
        uuid:
          type: string
          format: uuid
        filename:
          type: string
        uploaded:
          type: boolean
          description: Indicates if the BLOB has been uploaded to the storage
          default: false
    OcrStatus:
      type: string
      enum:
        - NOT_STARTED
        - MANUAL
        - PROCESSING
        - PROCESSED
        - ERROR
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````